
ChiliProject - Bug # 820: Disable autocomplete at LDAP connection page

Status: Closed Priority: Normal
Author: Vladislav Poluhin Category:
Created: 2012-01-07 Assignee:
Updated: 2012-01-20 Due date:
Remote issue URL:
Affected version: 2.6.0
Description: Disable autocomplete at field *auth_source[account_password]* at http://hostname/ldap_auth_sources/edit/ID

Associated revisions
2008-03-12 09:50 pm - Jean-Philippe Lang 
Fixes #820: invalid project id causes a NoMethodError in SearchController (Angel Dobbs-Sciortino).

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1237 e93f8b46-1217-0410-a6f0-8f06a7374b81

History
2012-01-07 11:15 am - Vladislav Poluhin
!http://img528.imageshack.us/img528/508/screenshot7b7a62f2.png!

2012-01-16 12:37 pm - Holger Just
- Status changed from Open to Declined

Typically, browsers don't have a generic auto-complete on password fields. Instead they allow integration into various built-in or external password 
managers. And quite frankly, disabling those is one of the worst practices of security theater out there.

So unless you have any further claims, I would be hesitant to implement this.

2012-01-17 12:29 am - Eric Davis
http://www.w3.org/TR/html5/forms.html#attr-form-autocomplete which we already use in @app/views/users/_form.rhtml@

2012-01-20 01:23 am - Vladislav Poluhin
- Status changed from Declined to Closed
